Trillet AI logo

Connect a Web Call

Initiate a live web-based call session with an AI agent.

POSThttps://api.trillet.ai/v1/api/calls/web/connect

Initiate a web call that runs entirely via WebRTC in the browser (no phone number required). The agent can interact via voice.

Headers

x-api-keystringrequired

API key used for authenticating requests to the API.

x-workspace-idstringrequired

Workspace identifier for the API.

Request Body

agentIdstringrequired

The ID of the agent that will handle this web call.

modestring

The mode of the call. Defaults to "voice".

{
  "status": "success",
  "callId": "call1234",
  "roomName": "web-genericAgent-call1234",
  "token": "<REDACTED_JWT_TOKEN>",
  "agent": {
    "id": "agent12345678",
    "name": "Generic Agent",
    "model": "llm-mini",
    "voice": {
      "provider": "genericVoiceProvider",
      "voiceId": "standard",
      "language": "en"
    }
  }
}